{% extends 'index.html' %}
{% load static %}

{% block content %}
    <div class="row" style="margin-top: 20px">
        <div class="col-lg-3"></div>
        <div class="col-lg-6">

            {% if contacts %}
                {% csrf_token %}
                <a style="margin-bottom: 10px" class="btn btn-primary" href="/contact/add/"><i class="fa fa-plus"></i> Add New Contact</a>
                <input type="text" id="search_contact" placeholder="Search contacts" class="form-control">
                <div id="tocall" style="display: none;margin-top: 10px"></div>
                <div id="table_area">
                    <table class="table" style="margin-top: 20px">
                        <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Name</th>
                            <th scope="col">Phone Number</th>
                            <th scope="col">Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for contact in contacts %}
                            <tr id="{{ contact.id }}">
                                <th scope="row">{{ forloop.counter }}</th>
                                <td>{{ contact.name }}</td>
                                <td>{{ contact.number }}</td>
                                <td>
                                    <button onclick="make_a_call({{ contact.id }})" type="button"
                                            class="btn btn-outline-primary"><i class="fa fa-phone"></i> Call
                                    </button>
                                    <button onclick="removeContact({{ contact.id }})" type="button"
                                            class="btn btn-outline-danger"><i class="fa fa-trash"></i> Remove
                                    </button>
                                </td>

                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>

            {% endif %}

        </div>
        <div class="col-lg-3"></div>
    </div>

{% endblock %}

{% block js %}
    {{ block.super }}
    <script src="{% static 'js/functions.js' %}"></script>
{% endblock %}